<?php
namespace Mirasvit\Brand\Controller\Adminhtml\Brand\Save;

/**
 * Interceptor class for @see \Mirasvit\Brand\Controller\Adminhtml\Brand\Save
 */
class Interceptor extends \Mirasvit\Brand\Controller\Adminhtml\Brand\Save implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Brand\Repository\BrandPageRepository $brandPageRepository, \Magento\Backend\App\Action\Context $context, \Mirasvit\Brand\Model\Brand\PostData\Processor $postDataProcessor, \Mirasvit\Brand\Model\Config\Config $config)
    {
        $this->___init();
        parent::__construct($brandPageRepository, $context, $postDataProcessor, $config);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
